Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class RelaxedExternalResourceSecurity

    java.lang.Object
      org.apache.batik.bridge.RelaxedExternalResourceSecurity

All Implemented Interfaces:
  ExternalResourceSecurity

public class RelaxedExternalResourceSecurity
extends java.lang.Object
implements ExternalResourceSecurity

This implementation of `ExternalResourceSecurity` allows any external references.

Constructor Summary
`RelaxedExternalResourceSecurity(ParsedURL externalResourceURL, ParsedURL docURL)`

Method Summary
`void` | `checkLoadExternalResource()` Controls whether the externalResource should be loaded or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelaxedExternalResourceSecurity

    public RelaxedExternalResourceSecurity(ParsedURL externalResourceURL,
                                           ParsedURL docURL)

Parameters:
  `externalResourceURL` - url for the externalResource, as defined in the externalResource's xlink:href attribute. If that attribute was empty, then this parameter should be null
  `docURL` - url for the document into which the externalResource was found.

Method Detail

### checkLoadExternalResource

    public void checkLoadExternalResource()

  Controls whether the externalResource should be loaded or not.

  Specified by:
    `checkLoadExternalResource` in interface `ExternalResourceSecurity`
  Throws:
    `java.lang.SecurityException` - if the externalResource should not be loaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.